Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::iter_take_while_fn Struct Reference

## Synopsis of methods
constexpr view< iter_take_while_fn > | iter_take_while {}

## Public Member Functions
template<typename Rng , typename Pred >
auto | operator() (Rng &&rng, Pred pred) const -> iter_take_while_view< all_t< Rng >, Pred > requires ViewableRange< Rng > &&InputRange< Rng > &&Predicate< Pred &, iterator_t< Rng >> &&CopyConstructible< Pred >